* {
    box-sizing: border-box;
}

.parent {
    width: 800px;
    height: 800px;
    border: 1px solid;
}

div {
    background: rgba(0, 0, 0, 0.2);
}

.d-fl {
    display: flex;
}

.p-10px {
    padding: 10px;
}

.bgr {
    background: red;
}

.left {
    flex-basis: 200px;
}

.right {
    flex-grow: 1;
    flex-direction: column-reverse;
}

.large {
    flex-basis: 558px;
    background: aqua;
    flex-direction: row;
    justify-content: right;
    align-items: flex-end ;
}

.purple {
    background: blueviolet;
    height: 200px;
    width: 200px;
}

